This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 490041 - ThinkPad T43 LCD black after being turned off (lid close, xrandr)
ThinkPad T43 LCD black after being turned off (lid close, xrandr)
Status: CLOSED DUPLICATE of bug 489907
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: IntelKMS
  Show dependency treegraph
 
Reported: 2009-03-12 18:38 EDT by Will Woods
Modified: 2009-05-12 15:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 15:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from Thinkpad T43 (92.27 KB, text/plain)
2009-03-12 18:38 EDT, Will Woods
no flags Details

  None (edit)
Description Will Woods 2009-03-12 18:38:39 EDT
Created attachment 335022 [details]
Xorg.0.log from Thinkpad T43

If I close the lid on my ThinkPad (i915GM chipset), when I open it again the screen is black (with the backlight still on).

Same thing happens if I turn the screen off using xrandr / gnome-display-properties - if I try to re-enable the display, it never comes on.

Keyboard still works, but VT switch does nothing. I can ssh in and check logs, but there's nothing interesting in Xorg.0.log or syslog.

Curiously, suspend/resume work fine - so when this happens, I can suspend my machine and the display comes back on resume. This also doesn't happen if I'm running with 'nomodeset'.

Attaching Xorg.0.log, so mcepl won't yell at me :D
Comment 1 Adam Jackson 2009-04-13 15:34:27 EDT
What happens if you do 'xset dpms force off ; sleep 3 ; xset dpms force on' ? Does the screen come back?
Comment 2 Will Woods 2009-04-13 22:36:24 EDT
Yeah, that does exactly what you'd expect: panel turns off for three seconds, then comes back just as it was.

When you open the lid, the screen/backlight turns *on*, but it's black. Nothing seems to revive it short of suspend/resume. 

Interestingly, trying to kill X when it's in this state (ssh laptop.local, sudo telinit 3) causes it to hard-lock - no keyboard input, can't suspend, etc.
Comment 3 Jóhann B. Guðmundsson 2009-04-15 18:27:41 EDT
Same for me on my T61p turns off for three seconds then comes back just as it was. ( xset dpms force off ; sleep 3 ; xset dpms force on" ) which makes me wonder
if this is actually caused by something that happens after we close the lid and leave it closed for x period of time. something has started like the screen-saver or something that locks out the monitor..
Comment 4 Matěj Cepl 2009-04-17 09:56:42 EDT
(In reply to comment #0)
> Attaching Xorg.0.log, so mcepl won't yell at me :D  

I don't yell at anybody (mostly ;-)). But there is apparently not much to do and ajax is here, so I will let him to have a fun.
Comment 5 Will Woods 2009-04-26 14:21:58 EDT
One other note: now that the GNOME code's all fixed, the screen turns on/off as expected for DPMS suspend (as set in the Power Management preferences). Closing the lid still causes nothing to get drawn, though.

Re comment #3 - no, it's not something that happens over a long period of time. I can close the lid, count to three, and reopen it and the screen will be dead.

Any clues about how I could debug this further would be greatly appreciated.
Comment 6 Fabio Alessandro Locati 2009-05-04 17:27:18 EDT
I have the same problem on a DELL inspiron 640m (same graphic card)
Comment 7 Jim Radford 2009-05-11 13:45:57 EDT
Things are getting better (on my x61).  Now after closing/opening the lid *twice* the screen will come back.  The first time it's blank.

  2.6.30-rc5-00096-ga4d7749
  xorg-x11-drv-intel-2.7.0-4.fc11.x86_64

I get one of the these messages every lid close/open cycle.

  ...
  [drm] LVDS-8: set mode  1a
  [drm] LVDS-8: set mode  1b
  [drm] LVDS-8: set mode  1c
  [drm] LVDS-8: set mode  1d

Of course I can't seen the first one until I perform the cycle again.  At least I don't have to reboot now!

I haven't seen others report this but even when the display was blank I could at least switch to another virtual console and log in in text mode.

FWIW, I also get these on startup.  I'm not sure if they are related.

  [drm:i915_gem_object_bind_to_gtt] *ERROR* GTT full, but LRU list empty
  [drm:i915_gem_object_pin] *ERROR* Failure to bind: -12
  [drm:i915_gem_evict_something] *ERROR* inactive empty 1 request empty 1 flushing empty 1
Comment 8 Will Woods 2009-05-12 15:09:23 EDT
Discussed on IRC a bit with ajax/krh present - consensus is that this is the same as bug 489907.

*** This bug has been marked as a duplicate of bug 489907 ***

Note You need to log in before you can comment on or make changes to this bug.